Get an application by ID
https://api.propexo.com/v1/applications/:idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the application
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
e9d3f4ff-ae8e-42d9-ba98-572235918440The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for APPFOLIO
nullThe external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
6f98c316-b5d0-475b-a5d0-7269a8e71d10The external ID of the unit from the integration vendor
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
1486a3d1-eae1-4d59-85fb-c0a653bf6309DEPRECATED. Use status_raw and status_normalized on the applicants array
Deprecated in favor of status_raw and status_normalized on applicants_to_applications
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
custom_data object | nullrequired
applicants object[]required
Applicants associated with the application
The Propexo unique identifier for the applicant
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
clxkw4hlh0000t3oz7dwh0wumThe Propexo unique identifier for the application
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
clxkw4nbk0002t3ozbf008763DEPRECATED. Use status_raw
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
The raw status associated with the applicant
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
pendingThe normalized status associated with the applicant. Confirm these derived values before using them in production.
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
PENDINGcustom_data object | null
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTAPPFOLIOThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit
| Method | Interface |
|---|---|
| /v0/rental_applications | Applications |
cmebqjf0v7691176951cts1hhsarcltErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/applications/:id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "e9d3f4ff-ae8e-42d9-ba98-572235918440",
"x_location_id": null,
"x_property_id": "6f98c316-b5d0-475b-a5d0-7269a8e71d10",
"x_unit_id": "1486a3d1-eae1-4d59-85fb-c0a653bf6309",
"custom_data": "Unknown Type: object,null",
"applicants": [
{
"applicant_id": "clxkw4hlh0000t3oz7dwh0wum",
"application_id": "clxkw4nbk0002t3ozbf008763",
"status_raw": "pending",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "APPFOLIO",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cmebqjf0v7691176951cts1hhsarclt"
}
}